Name:          maven-plugin-exec
Version:       1.2.1
Release:       %mkrel 2
Summary:       Exec Maven Plugin
Group:         Development/Java
License:       ASL 2.0
URL:           http://mojo.codehaus.org/exec-maven-plugin
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/exec-maven-plugin/1.2.1/exec-maven-plugin-1.2.1-source-release.zip
Patch0:        maven-plugin-exec-1.2.1-add_compat.patch

BuildRequires: animal-sniffer
BuildRequires: apache-commons-exec
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-model
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: mojo-parent
BuildRequires: mojo-signatures
BuildRequires: plexus-container-default
BuildRequires: plexus-interpolation
BuildRequires: plexus-utils

Requires:      apache-commons-exec
Requires:      maven
Requires:      maven-plugin-testing-harness
Requires:      plexus-container-default
Requires:      plexus-interpolation
Requires:      plexus-utils

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch: noarch

%description
A plugin to allow execution of system and Java programs

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n exec-maven-plugin-%{version}
%patch0 -p0
#there is nothing under MIT license
rm -f LICENSE.txt
find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;
# mojo-signature
sed -i "s|java14|java15|g" pom.xml

%build

mvn-rpmbuild -Dmaven.test.skip=true package javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/exec-maven-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 359721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 179575
- update to 1.2.1

* Thu Apr 28 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 92715
- Rebuild after bootstrapping
- imported package maven-plugin-exec

